## ros-one-kalman-filter 0.3.1-0jammy.20251023.0030

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2)
project(kalman_filter)
find_package(catkin REQUIRED COMPONENTS rospy)
catkin_python_setup()
catkin_package()

if(CATKIN_ENABLE_TESTING)
  find_package(catkin REQUIRED COMPONENTS roslint)
  roslint_python()
  roslint_add_test()
endif()

=== debian/changelog ===
ros-one-kalman-filter (0.3.1-0jammy.20251023.0030) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 23 Oct 2025 00:30:37 +0000

ros-one-kalman-filter (0.3.1-0jammy) jammy; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 23 Oct 2025 00:30:37 -0000

=== debian/control ===
Source: ros-one-kalman-filter
Section: misc
Priority: optional
Maintainer: David V. Lu!! <davidvlu@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-rospy
Homepage: http://ros.org/wiki/kalman_filter
Standards-Version: 3.9.2

Package: ros-one-kalman-filter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-rospy
Description: Simple Kalman Filter in Python

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-kalman-filter//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-kalman-filter 0.3.1-0jammy.20260220.2127

=== debian/changelog ===
ros-one-kalman-filter (0.3.1-0jammy.20260220.2127) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 20 Feb 2026 21:27:32 +0000

## ros-one-kalman-filter 0.3.1-0noble.20251023.0029

=== debian/changelog ===
ros-one-kalman-filter (0.3.1-0noble.20251023.0029) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 23 Oct 2025 00:29:12 +0000

ros-one-kalman-filter (0.3.1-0noble) noble; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 23 Oct 2025 00:29:12 -0000

## ros-one-kalman-filter 0.3.1-0noble.20260220.2134

=== debian/changelog ===
ros-one-kalman-filter (0.3.1-0noble.20260220.2134) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 20 Feb 2026 21:34:56 +0000
